Name:           mediainfo
Version:        0.7.53
Release:        3.2
Summary:        Supplies technical and tag information about a video or audio file
Group:          Productivity/Multimedia/Other
License:        GNU General Public License version 2 or alter (GPLv2 or later)
URL:            http://mediainfo.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/mediainfo/mediainfo_%{version}.tar.bz2
Source90:       %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gcc-c++
%if 0%{?suse_version} <= 1110
BuildRequires:  kdelibs3
%endif
BuildRequires:  kdelibs4-core
BuildRequires:  libmediainfo-devel
BuildRequires:  libzen-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
%if 0%{?suse_version} > 1130
BuildRequires:  wxWidgets-devel >= 2.6.0
%else
BuildRequires:  wxGTK-devel >= 2.6.0
%endif
BuildRequires:  zlib-devel
BuildRequires:  autoconf automake libtool
Provides:       MediaInfo = 0.7.7.8
Obsoletes:      MediaInfo < 0.7.7.8

%description
MediaInfo supplies technical and tag information about a video or
audio file.

What information can I get from MediaInfo?
* General: title, author, director, album, track number, date, duration...
* Video: codec, aspect, fps, bitrate...
* Audio: codec, sample rate, channels, language, bitrate...
* Text: language of subtitle
* Chapters: number of chapters, list of chapters

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
* Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
  MPEG-2, MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP,
  H.264, AVC...)
* Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
* Subtitles: SRT, SSA, ASS, SAMI

%package gui
Summary:        GUI for mediainfo
Group:          Productivity/Multimedia/Other
Provides:       MediaInfo-gui = 0.7.7.8
Obsoletes:      MediaInfo-gui < 0.7.7.8

%description gui
This package contains a Frontend for mediainfo.

MediaInfo supplies technical and tag information about a video or
audio file.

What information can I get from MediaInfo?
* General: title, author, director, album, track number, date, duration...
* Video: codec, aspect, fps, bitrate...
* Audio: codec, sample rate, channels, language, bitrate...
* Text: language of subtitle
* Chapters: number of chapters, list of chapters

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
* Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
  MPEG-2, MPEG-4, DVD (VOB) (Codecs: DivX, XviDlibzen.so.0, MSMPEG4, ASP,
  H.264, AVC...)
* Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
* Subtitles: SRT, SSA, ASS, SAMI

%if 0%{?suse_version} <= 1110
%package konqueror
Summary:        Konqueror extension for mediainfo-gui
Group:          Productivity/Multimedia/Other
Requires:       %{name}-gui

%description konqueror
Konqueror context menu extension for mediainfo-gui.
%endif

%package -n kde4-mediainfo
Summary:        KDE4 extension for mediainfo-gui
Group:          Productivity/Multimedia/Other
Requires:       %{name}-gui

%description -n kde4-mediainfo
KDE4 context menu extension for mediainfo-gui.

%prep
%setup -q -n MediaInfo
%__sed -i 's/\r$//' *.html *.txt Release/*.txt
%__chmod 0644 *.html *.txt Release/*.txt

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"

# build CLI
pushd Project/GNU/CLI
    %__chmod +x autogen
    ./autogen
    %configure

    %__make %{?jobs:-j%{jobs}}
popd

# now build GUI
pushd Project/GNU/GUI
    %__chmod +x autogen
    ./autogen
    %configure
    %__make %{?jobs:-j%{jobs}}
popd

%install
pushd Project/GNU/CLI
    %makeinstall
popd

pushd Project/GNU/GUI
    %makeinstall
popd

# icon
%__install -dm 755 %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
%__install -m 644 Source/Resource/Image/MediaInfo.png \
    %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 Source/Resource/Image/MediaInfo.png \
    %{buildroot}%{_datadir}/pixmaps/mediainfo-gui.png

# menu-entry
%__install -dm 755 %{buildroot}/%{_datadir}/applications
%__install -m 644 Project/GNU/GUI/mediainfo-gui.desktop \
    %{buildroot}/%{_datadir}/applications
%suse_update_desktop_file -n %{name}-gui AudioVideo AudioVideoEditing

%if 0%{?suse_version} <= 1110
# hardcoded to avoid kde-config --prefix ==> /opt/kde3
%__install -dm 755 %{buildroot}/opt/kde3/share/apps/konqueror/servicemenus
%__install -m 644 Project/GNU/GUI/mediainfo-gui.kde3.desktop \
    %{buildroot}/opt/kde3/share/apps/konqueror/servicemenus/mediainfo-gui.desktop
%endif

# hardcoded to avoid kde4-config --prefix ==> /usr
%__install -dm 755 %{buildroot}/%{_datadir}/kde4/services/ServiceMenus/
%__install -m 644 Project/GNU/GUI/mediainfo-gui.kde4.desktop \
    %{buildroot}/%{_datadir}/kde4/services/ServiceMenus/mediainfo-gui.desktop

%kde_post_install

# these files are just ridicully large:
%__gzip License.html
%__gzip History_*.txt

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root,-)
%doc Release/ReadMe_CLI_Linux.txt
%doc License.html.gz History_CLI.txt.gz
%{_bindir}/mediainfo

%files gui
%defattr(-,root,root,-)
%doc Release/ReadMe_GUI_Linux.txt
%doc License.html.gz History_GUI.txt.gz
%{_bindir}/mediainfo-gui
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/icons/hicolor/*/apps/*.png

%if 0%{?suse_version} <= 1110
%files konqueror
%defattr(-,root,root,-)
%dir /opt/kde3
%dir /opt/kde3/share
%dir /opt/kde3/share/apps
%dir /opt/kde3/share/apps/konqueror
%dir /opt/kde3/share/apps/konqueror/servicemenus
/opt/kde3/share/apps/konqueror/servicemenus/*.desktop
%endif

%files -n kde4-mediainfo
%defattr(-,root,root,-)
%dir %{_datadir}/kde4
%dir %{_datadir}/kde4/services
%dir %{_datadir}/kde4/services/ServiceMenus
%{_datadir}/kde4/services/ServiceMenus/*.desktop

%changelog
* Sat Feb 18 2012 cs@linux-administrator.com
- re-import
